---
title: "POST /_system/cluster_stats/{period} - Cluster Statistics · RUAL Documentation"
description: "Get cluster statistics for a specific time period"
canonical: https://docs.rual.nl/cluster/api/cluster-statistics/system-cluster-stats--period-post
language: en
---

# POST /_system/cluster_stats/{period}

Get cluster statistics for a specific time period

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **period** required | `string` | `"daily"` | Statistics period |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **from** optional | `string` | `0` | Start date/time |
| **key_format** optional | `string` | `"example"` | Key format for results |
| **metric** optional | `string` | `"example"` | Metric to retrieve |
| **to** optional | `string` | `"example"` | End date/time (optional) |

```
{}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `cluster_stats_view` | Required scope: cluster_stats_view |
